Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.editor
Interface StructureDiagramEditor

    com.change_vision.jude.api.inf.editor.StructureDiagramEditor

All Superinterfaces:
  BasicDiagramEditor, DiagramEditor

All Implemented Interfaces:
  BasicDiagramEditor, DiagramEditor

All Known Implementing Classes:
  ClassDiagramEditor, CompositeStructureDiagramEditor, RequirementDiagramEditor, UseCaseDiagramEditor

    public StructureDiagramEditor

extends BasicDiagramEditor

Interface to edit (create/delete) structure diagrams. Throws Exception when invalid models are generated.

Method Summary
`abstract INodePresentation` | `createContainmentGroup(ILinkPresentation[] containments, String direction)` Create a presentation for the group of the shared containments.
`abstract ILinkPresentation` | `createContainmentLinkPresentation(INodePresentation parentLinkEnd, INodePresentation childLinkEnd)` Create a ILinkPresentation for a Nest relation.
`abstract INodePresentation` | `createGeneralizationGroup(ILinkPresentation[] generalizations, String direction)` Create a presentation for the group of the shared generalizations.
`abstract ILinkPresentation` | `createLinkPresentation(IElement model, INodePresentation linkEnd0, INodePresentation linkEnd1, INodePresentation linkEnd2)` Create a ILinkPresentation.
`abstract INodePresentation` | `createNodePresentation(IElement model, Point2D location)` Create a INodePresentation.
`abstract INodePresentation` | `createNodePresentation(IElement model, INodePresentation parent, Point2D location)` Create a INodePresentation.
`abstract INodePresentation` | `getContainmentGroup(ILinkPresentation containment)` Get the presentation for the group of the shared containment relation.
`abstract INodePresentation` | `getGeneralizationGroup(ILinkPresentation generalization)` Get the presentation for the group of the shared generalizations.

Methods inherited from class com.change_vision.jude.api.inf.editor.BasicDiagramEditor
`createNote, createNoteAnchor, createNoteAnchor`

Methods inherited from class com.change_vision.jude.api.inf.editor.DiagramEditor
`createImage, createLine, createRect, createText, delete, deleteDiagram, deletePresentation, getDiagram, setDiagram`

Method Detail

### createNodePresentation

    abstract INodePresentation createNodePresentation(IElement model,
                                                      Point2D location)

  Create a INodePresentation.

  Parameters:
    `model` - model
    `location` - location
  Returns:
    INodePresentation.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### createNodePresentation

    abstract INodePresentation createNodePresentation(IElement model,
                                                      INodePresentation parent,
                                                      Point2D location)

  Create a INodePresentation.

  Parameters:
    `model` - model
    `parent` - parent Presentation.
    `location` - location
  Returns:
    INodePresentation.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### createLinkPresentation

    abstract ILinkPresentation createLinkPresentation(IElement model,
                                                      INodePresentation linkEnd0,
                                                      INodePresentation linkEnd1,
                                                      INodePresentation linkEnd2)

  Create a ILinkPresentation.

  Parameters:
    `model` - model
    `linkEnd0` - the presentation connected to one side of the link
    `linkEnd1` - the presentation connected to one side of the link
  Returns:
    ILinkPresentation.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

### createContainmentLinkPresentation

    abstract ILinkPresentation createContainmentLinkPresentation(INodePresentation parentLinkEnd,
                                                                 INodePresentation childLinkEnd)

  Create a ILinkPresentation for a Nest relation.

  Parameters:
    `parentLinkEnd` - the parent presentation
    `childLinkEnd` - the child presentation
  Returns:
    ILinkPresentation.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
             PARAMETER_ERROR_KEY - if a parameter is not set properly.
             ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
             BAD_TRANSACTION_KEY - Bad Transaction.
             HAS_EXCEPTION_KEY - if an exception has occurred.
             READ_ONLY_KEY - if a read-only element is edited.

        Values:
             Error messages for exceptions.

### getGeneralizationGroup

    abstract INodePresentation getGeneralizationGroup(ILinkPresentation generalization)

  Get the presentation for the group of the shared generalizations.

  Parameters:
    `generalization` - An element of the group of generalizations.
  Returns:
    The presentation for the group of the shared generalizations. Null is returned if the generalization doesn't have the shared style.
  Since:
    6.6

### createGeneralizationGroup

    abstract INodePresentation createGeneralizationGroup(ILinkPresentation[] generalizations,
                                                         String direction)

  Create a presentation for the group of the shared generalizations.

  Parameters:
    `generalizations` - Target generalizations.
    `direction` - The Direction. "vertical" / "horizontal".
  Returns:
    Created presentation for the group of the generalizations.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
             PARAMETER_ERROR_KEY - if a parameter is not set properly.
        Values:
             Error messages for exceptions.

  Since:
    6.6

### getContainmentGroup

    abstract INodePresentation getContainmentGroup(ILinkPresentation containment)

  Get the presentation for the group of the shared containment relation.

  Parameters:
    `containment` - An element of the group of containment relation.
  Returns:
    The presentation for the group of the shared containments. Null is returned if the containment doesn't have the shared style.
  Since:
    6.6

### createContainmentGroup

    abstract INodePresentation createContainmentGroup(ILinkPresentation[] containments,
                                                      String direction)

  Create a presentation for the group of the shared containments.

  Parameters:
    `containments` - Target containments.
    `direction` - The Direction. "vertical" / "horizontal".
  Returns:
    Created presentation for the group of the containments.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
             PARAMETER_ERROR_KEY - if a parameter is not set properly.
        Values:
             Error messages for exceptions.

  Since:
    6.6

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD